#include "common.h"
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>

#ifdef __cplusplus
extern "C" {
#endif

int
LLVMFuzzerTestOneInput(const uint8_t *data, size_t size) {
    size_t i = 0;

    char string_eq_const_0_0[7] = { 0 };
    char string_eq_const_1_0[4] = { 0 };
    char string_eq_const_2_0[8] = { 0 };
    char string_eq_const_3_0[8] = { 0 };
    char string_eq_const_4_0[3] = { 0 };
    char string_eq_const_5_0[6] = { 0 };
    char string_eq_const_6_0[6] = { 0 };
    char string_eq_const_7_0[3] = { 0 };
    char string_eq_const_8_0[7] = { 0 };
    char string_eq_const_9_0[8] = { 0 };
    char string_eq_const_10_0[5] = { 0 };
    char string_eq_const_11_0[3] = { 0 };
    char string_eq_const_12_0[3] = { 0 };
    char string_eq_const_13_0[8] = { 0 };
    char string_eq_const_14_0[6] = { 0 };
    char string_eq_const_15_0[4] = { 0 };

    if (size < 73)
        return TEPHRA_EXIT_FAILURE;


    memcpy(&string_eq_const_0_0, &data[i], 6);
    i += 6;
    memcpy(&string_eq_const_1_0, &data[i], 3);
    i += 3;
    memcpy(&string_eq_const_2_0, &data[i], 7);
    i += 7;
    memcpy(&string_eq_const_3_0, &data[i], 7);
    i += 7;
    memcpy(&string_eq_const_4_0, &data[i], 2);
    i += 2;
    memcpy(&string_eq_const_5_0, &data[i], 5);
    i += 5;
    memcpy(&string_eq_const_6_0, &data[i], 5);
    i += 5;
    memcpy(&string_eq_const_7_0, &data[i], 2);
    i += 2;
    memcpy(&string_eq_const_8_0, &data[i], 6);
    i += 6;
    memcpy(&string_eq_const_9_0, &data[i], 7);
    i += 7;
    memcpy(&string_eq_const_10_0, &data[i], 4);
    i += 4;
    memcpy(&string_eq_const_11_0, &data[i], 2);
    i += 2;
    memcpy(&string_eq_const_12_0, &data[i], 2);
    i += 2;
    memcpy(&string_eq_const_13_0, &data[i], 7);
    i += 7;
    memcpy(&string_eq_const_14_0, &data[i], 5);
    i += 5;
    memcpy(&string_eq_const_15_0, &data[i], 3);
    i += 3;


    if (strcmp(string_eq_const_0_0, "`pM@mk") == 0)
    if (strcmp(string_eq_const_1_0, "RH{") == 0)
    if (strcmp(string_eq_const_2_0, "onsArHX") == 0)
    if (strcmp(string_eq_const_3_0, "{Z1H&E'") == 0)
    if (strcmp(string_eq_const_4_0, "w3") == 0)
    if (strcmp(string_eq_const_5_0, "U(GU*") == 0)
    if (strcmp(string_eq_const_6_0, "w$1~f") == 0)
    if (strcmp(string_eq_const_7_0, ">[") == 0)
    if (strcmp(string_eq_const_8_0, "#mDpPm") == 0)
    if (strcmp(string_eq_const_9_0, "T!/-`bw") == 0)
    if (strcmp(string_eq_const_10_0, "tx.K") == 0)
    if (strcmp(string_eq_const_11_0, "f9") == 0)
    if (strcmp(string_eq_const_12_0, "sR") == 0)
    if (strcmp(string_eq_const_13_0, "#K=/[Ka") == 0)
    if (strcmp(string_eq_const_14_0, "ZccQb") == 0)
    if (strcmp(string_eq_const_15_0, "3WZ") == 0)
        BOOM();

    return TEPHRA_EXIT_SUCCESS;
}

#ifdef __cplusplus
}
#endif
